XMLStreamWriter (Grails 4.0.11)
Date: 2021-06-24

Package: org.grails.web.xml

## [Java] Class XMLStreamWriter

- org.grails.web.xml.XMLStreamWriter

- A simple XML Stream Writer that leverages the StreamingMarkupWriter of Groovy

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected enum` | `XMLStreamWriter.Mode` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected XMLStreamWriter.Mode` | `mode` |
    `protected java.util.Stack<java.lang.String>` | `tagStack` |
    `protected StreamingMarkupWriter` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `XMLStreamWriter (StreamingMarkupWriter writer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `XMLStreamWriter` | `attribute(java.lang.String name, java.lang.String value)`
    `` | `XMLStreamWriter` | `characters(java.lang.String data)`
    `` | `XMLStreamWriter` | `end()`
    `` | `protected void` | `endStartTag()`
    `` | `XMLStreamWriter` | `startDocument(java.lang.String encoding, java.lang.String version)`
    `` | `XMLStreamWriter` | `startNode(java.lang.String tag)`
    `` | `protected void` | `startTag()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected XMLStreamWriter.Mode mode

    - #### protected java.util.Stack<java.lang.String> tagStack

    - #### protected StreamingMarkupWriter writer

  - ### Constructor Detail

    - #### public XMLStreamWriter(StreamingMarkupWriter writer)

  - ### Method Detail

    - #### public XMLStreamWriter attribute(java.lang.String name, java.lang.String value)

    - #### public XMLStreamWriter characters(java.lang.String data)

    - #### public XMLStreamWriter end()

    - #### protected void endStartTag()

    - #### public XMLStreamWriter startDocument(java.lang.String encoding, java.lang.String version)

    - #### public XMLStreamWriter startNode(java.lang.String tag)

    - #### protected void startTag()